Jitsi Meet desktop application powered by
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
Saúl Ibarra Corretgé dc22d9f5a6 Update dependencies 3 years ago
app Update dependencies 3 years ago
resources Configured electron-builder for app release 4 years ago
.eslintignore Configured electron-builder for app release 4 years ago
.eslintrc.js Updated eslint-config-jitsi 4 years ago
.flowconfig Update dependencies 3 years ago
.gitignore Configured electron-builder for app release 4 years ago
.travis.yml Added .travis.yml and appveyor.yml for automatic release 4 years ago
LICENSE Initial commit 6 years ago
README.md Update README.md 3 years ago
appveyor.yml Added .travis.yml and appveyor.yml for automatic release 4 years ago
main.js Add ability to watch / autoreload in development mode 4 years ago
package-lock.json Update dependencies 3 years ago
package.json Update dependencies 3 years ago
screenshot.png Update README 4 years ago
webpack.main.js Add ability to watch / autoreload in development mode 4 years ago
webpack.renderer.js Update dependencies 4 years ago

README.md

Jitsi Meet Electron

Desktop application for Jitsi Meet built with Electron.

Features

  • Works with any Jitsi Meet deployment
  • Local settings
  • Builtin auto-updates
  • Remote control
  • Always-On-Top window

Installation

Download our latest release and you're off to the races! The supported platforms are macOS, Windows (both 32 and 64bits) and GNU/Linux (64bits only).

NOTE for old GNU/Linux distributions

You might get the following error:

FATAL:nss_util.cc(632)] NSS_VersionCheck("3.26") failed. NSS >= 3.26 is required.
Please upgrade to the latest NSS, and if you still get this error, contact your
distribution maintainer.

If you do, please install NSS (example for Debian / Ubuntu):

sudo apt-get install libnss3

Using it with your own Jitsi Meet installation

In order to use this application with your own Jitsi Meet installation it's necessary to enable the External API. Your server must serve a external_api.js file at the root of the installation.

Here is an example using nginx:

location /external_api.js {
    alias /usr/share/jitsi-meet/libs/external_api.min.js;
}

Development

If you want to hack on this project, here is how you do it.

Show building instructions

Installing dependencies

npm install

Starting in development mode

npm start

Building the production distribution

npm run dist

Working with jitsi-meet-electron-utils

jitsi-meet-electron-utils is a helper package which implements many features such as remote control and the always-on-top window. If new features are to be added / tested, running with a local version of these utils is very handy, here is how to do that.

By default the jitsi-meet-electron-utils is build from its git repository sources. The default dependency path in package.json is:

"jitsi-meet-electron-utils": "jitsi/jitsi-meet-electron-utils"

To work with local copy you must change the path to:

"jitsi-meet-electron-utils": "file:///Users/name/jitsi-meet-electron-utils-copy",

To build the project you must force it to take the sources as npm update will not do it.

npm install jitsi-meet-electron-utils --force

NOTE: Also check the jitsi-meet-electron-utils README to see how to configure your environment.

License

Apache 2. See the LICENSE file.

Community

Jitsi is built by a large community of developers, if you want to participate, please join community forum.